import { Plugin, Runner, webpack, WebpackWrapper } from '@morjs/utils';
export interface ITrimRuntimeHelpersLoaderOptions {
    babelHelpers: boolean;
    tsHelpers: boolean;
}
export declare function trimRuntimeHelpers(resourcePath: string, fileContent: string, options: ITrimRuntimeHelpersLoaderOptions): string;
export default function trimRuntimeHelpersLoader(this: webpack.LoaderContext<ITrimRuntimeHelpersLoaderOptions>, fileContent: string): string;
export declare class TrimRuntimeHelperPlugin implements Plugin {
    name: string;
    webpackWrapper: WebpackWrapper;
    apply(runner: Runner): void;
}
